Summary: User & Group administration tools for Samba-OpenLDAP
Name: smbldap-tools
Version: 0.8.2
Release: 23AX
Group: Applications/System
License: GNU GPL Version 2
URL: http://samba.idealx.org/
Source0: http://samba.idealx.org/dist/old-versions/%{name}-%{version}.tgz
Source1: samba.schema
Source2: convertSambaAccount
Patch0: smbldap-tools-0.8.2-profile.patch
Patch1: smbldap-tools-0.8.2-smbhome.patch
Patch2: smbldap-tools-0.8.2-machine.patch
Patch3: smbldap-tools-0.8.2-smbldap_conf.patch
Patch4: smbldap-tools-0.8.2-passwd.patch
Patch5: smbldap-tools-0.8.2-migrate_groups.patch
Requires: samba perl perl-ldap

%description
This tool is useful for manipulating user/group information
including Unix and Samba passwords under Samba/OpenLDAP
environment.

%prep
%setup -q
%patch0 -p1 -b .profile
%patch1 -p1 -b .smbhome
%patch2 -p1 -b .machine
%patch3 -p1 -b .smbldap_conf
%patch4 -p1 -b .passwd
%patch5 -p1 -b .migrate_groups
tar zxvf mkntpwd.tar.gz

## Building mkntpwd for LDAP related configuration
pushd mkntpwd
make
popd

%install
rm -rf $RPM_BUILD_ROOT

## LDAP related configuration
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/openldap/schema/
mkdir -p $RPM_BUILD_ROOT%{perl_sitearch}
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/openldap/schema/samba.schema
install -m 550 %{SOURCE2} $RPM_BUILD_ROOT%{_prefix}/sbin/convertSambaAccount
install -m 550 smbldap-groupadd.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-groupadd.pl
install -m 550 smbldap-groupdel.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-groupdel.pl
install -m 550 smbldap-groupmod.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-groupmod.pl
install -m 555 smbldap-groupshow.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-groupshow.pl
install -m 555 smbldap-passwd.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-passwd.pl
install -m 550 smbldap-useradd.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-useradd.pl
install -m 550 smbldap-userdel.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-userdel.pl
install -m 550 smbldap-usermod.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-usermod.pl
install -m 555 smbldap-usershow.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-usershow.pl
install -m 550 smbldap-populate.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-populate.pl
install -m 640 smbldap_conf.pm $RPM_BUILD_ROOT/etc/samba/smbldap_conf.pm
install -m 444 smbldap_tools.pm $RPM_BUILD_ROOT%{perl_sitearch}/smbldap_tools.pm
install -m 550 smbldap-migrate-accounts.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-migrate-accounts.pl
install -m 550 smbldap-migrate-groups.pl $RPM_BUILD_ROOT%{_prefix}/sbin/smbldap-migrate-groups.pl
pushd mkntpwd
make PREFIX=$RPM_BUILD_ROOT/%{_prefix} install
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -e %{perl_sitearch}/smbldap_conf.pm ]; then
	ln -s /etc/samba/smbldap_conf.pm %{perl_sitearch}/smbldap_conf.pm
fi

%preun
if [ $1 = 0 ] ; then
	rm -f %{perl_sitearch}/smbldap_conf.pm
fi

%files
%defattr(-,root,root)
%{_sysconfdir}/openldap/schema/samba.schema
%{_prefix}/sbin/smbldap-groupadd.pl
%{_prefix}/sbin/smbldap-groupdel.pl
%{_prefix}/sbin/smbldap-groupmod.pl
%{_prefix}/sbin/smbldap-groupshow.pl
%{_prefix}/sbin/smbldap-passwd.pl
%{_prefix}/sbin/smbldap-useradd.pl
%{_prefix}/sbin/smbldap-userdel.pl
%{_prefix}/sbin/smbldap-usermod.pl
%{_prefix}/sbin/smbldap-usershow.pl
%{_prefix}/sbin/smbldap-populate.pl
%{_prefix}/sbin/smbldap-migrate-accounts.pl
%{_prefix}/sbin/smbldap-migrate-groups.pl
%{_prefix}/sbin/mkntpwd
%{_prefix}/sbin/convertSambaAccount
%config(noreplace) %{_sysconfdir}/samba/smbldap_conf.pm
%{perl_sitearch}/smbldap_tools.pm

%changelog
* Wed Mar 23 2005 Shiro Yamada <shiro@miraclelinux.com> 0.8.2-23AX
- split from samba source.
- add a patch for smbldap-migrate-groups.pl
